--- old/usr/src/cmd/sgs/libld/common/args.c	2016-11-18 16:39:48.279896288 -0500
+++ new/usr/src/cmd/sgs/libld/common/args.c	2016-11-18 16:39:48.317524455 -0500
@@ -1444,11 +1444,15 @@
 				} else if (*p == '=') {
 					p++;
 
-					if (strcmp(p,
-					    MSG_ORIG(MSG_ARG_ENABLED)) == 0) {
+					if ((strcmp(p,
+					    MSG_ORIG(MSG_ARG_ENABLED)) == 0) ||
+					    (strcmp(p,
+					    MSG_ORIG(MSG_ARG_ENABLE)) == 0)) {
 						ofl->ofl_aslr = 1;
-					} else if (strcmp(p,
-					    MSG_ORIG(MSG_ARG_DISABLED)) == 0) {
+					} else if ((strcmp(p,
+					    MSG_ORIG(MSG_ARG_DISABLED)) == 0) ||
+					    (strcmp(p,
+					    MSG_ORIG(MSG_ARG_DISABLE)) == 0)) {
 						ofl->ofl_aslr = -1;
 					} else {
 						ld_eprintf(ofl, ERR_FATAL,
--- old/usr/src/cmd/sgs/libld/common/libld.msg	2016-11-18 16:39:49.655156144 -0500
+++ new/usr/src/cmd/sgs/libld/common/libld.msg	2016-11-18 16:39:49.690108331 -0500
@@ -1477,6 +1477,8 @@
 
 @ MSG_ARG_ENABLED	"enabled"
 @ MSG_ARG_DISABLED	"disabled"
+@ MSG_ARG_ENABLE	"enable"
+@ MSG_ARG_DISABLE	"disable"
 
 # -z guidance=item strings
 @ MSG_ARG_GUIDE_DELIM		",: \t"
--- old/usr/src/cmd/sgs/packages/common/SUNWonld-README	2016-11-18 16:39:50.862714987 -0500
+++ new/usr/src/cmd/sgs/packages/common/SUNWonld-README	2016-11-18 16:39:50.897877354 -0500
@@ -1659,3 +1659,4 @@
 6098	ld(1) should not require symbols which identify group sections be global
 6252	ld should merge function/data-sections in the same manner as GNU ld
 7323	ld(1) -zignore can erroneously discard init and fini arrays as unreferenced
+7594	ld -zaslr should accept Solaris-compatible values
